<?

# The rrd directory containing the images
$imgdir = "/home/pkg/iscream/public_html/graphs";
$imgwebdir = "/graphs";

# Page appearance
$lineColor = "#9999ff";

# tidy up the visual names
function tidyName($machine_name, $string) {
    # The name CPU information should be displayed as
    if($string == "cpu") {
        return "Processor usage";
    }
    
    # The name Load information should be displayed as
    if($string == "load") {
        return "System loads";
    }
    
    # The name Memory information should be displayed as
    if($string == "mem") {
        return "Memory usage";
    }
    
    # The name Process information should be displayed as
    if($string == "proc") {
        return "Processes";
    }
    
    # The name Swap information should be displayed as
    if($string == "swap") {
        return "Swap usage";
    }
    
    # The name User information should be displayed as
    if($string == "users") {
        return "User counts";
    }

    # The name Paging information should be displayed as
    if($string == "paging") {
        return "Paging";
    }

    # The name Uptime information should be displayed as
    if($string == "uptime") {
        return "Uptime";
    }

    # Values use for escaping (need to match the perl scripts!)
    # / converted to a decimal then hex'd
    $hex_slash = "_2f";
    # _ converted to a decimal then hex'd
    $hex_underscore = "_5f";
    # (space) converted to a decimal then hex'd
    $hex_space = "_20";
    # : converted to a decimal then hex'd
    $hex_colon = "_3A";
    # \ converted to a decimal then hex'd
    $hex_bslash = "_5C";
    
    # The name Disk information should be displayed as
    if(preg_match("/^disk-(\S+)$/", $string, $matches)) {
        $string = preg_replace("/$hex_slash/", "/", $matches[1]);
        $string = preg_replace("/$hex_underscore/", "_", $string);
        $string = preg_replace("/$hex_bslash/", "\\", $string);
        $string = preg_replace("/$hex_space/", " ", $string);
        $string = preg_replace("/$hex_colon/", ":", $string);
        return "Disk usage: $string";
    }

    # The name DiskIO information should be displayed as
    if(preg_match("/^diskio-(\S+)$/", $string, $matches)) {
        $string = preg_replace("/$hex_slash/", "/", $matches[1]);
        $string = preg_replace("/$hex_underscore/", "_", $string);
        $string = preg_replace("/$hex_bslash/", "\\", $string);
        $string = preg_replace("/$hex_space/", " ", $string);
        $string = preg_replace("/$hex_colon/", ":", $string);
        return "Disk IO: $string";
    }

    # The name Network information should be displayed as
    if(preg_match("/^net-(\S+)$/", $string, $matches)) {
        $string = preg_replace("/$hex_slash/", "/", $matches[1]);
        $string = preg_replace("/$hex_underscore/", "_", $string);
        $string = preg_replace("/$hex_bslash/", "\\", $string);
        $string = preg_replace("/$hex_space/", " ", $string);
        $string = preg_replace("/$hex_colon/", ":", $string);
        return "Network IO: $string";
    }

    # The name Mail Queue information should be displayed as
    if(preg_match("/^mailq-(\S+)$/", $string, $matches)) {
        return "Mail Queue Size: $matches[1]";
    }
    
    # The name Queue information should be displayed as
    if($machine_name == "i-scream-server" && preg_match("/^\d+$/", $string)) {
        $readfile = file("/u1/i-scream/databases/$machine_name/$string.def");
        return "Queue: $readfile[0]";
    }
    
    # Catch all... don't change it
    return "$string";
}

# Files to include
$titleHTML = "title.inc.php";
$bottomHTML = "bottom.inc";

# Submission details.
$formMethod = "GET";
$thisPage = "graphs.php";

?>
